/*
    Fail game engine
    Copyright 2007 Antoine Chavasse <a.chavasse@gmail.com>
 
    This file is part of Fail.

    Fail is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 3
    as published by the Free Software Foundation.

    Fail is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef FAIL_FBF_WRITER_LITTLE_ENDIAN_H
#define FAIL_FBF_WRITER_LITTLE_ENDIAN_H

#include "Writer.h"

// This is in its own file because WriterBigEndian is exposed as a class on its own in the idl,
// and the header files generated by FAILIT expect each class to have its own header file.
namespace fail { namespace fbf
{
	typedef BaseWriter< endianess::Little > WriterLittleEndian;	
}}

#endif
